# FoundationClasses
TKernel
Storage

# Storage_HArrayOfSchema Class Reference

`#include <Storage_HArrayOfSchema.hxx>`

Inheritance diagram for Storage_HArrayOfSchema:

[legend]

## Public Member Functions

Standard_EXPORT | Storage_HArrayOfSchema (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Storage_HArrayOfSchema (const Standard_Integer Low, const Standard_Integer Up, const Handle(Storage_Schema)&V)
Standard_EXPORT void | Init (const Handle(Storage_Schema)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(Storage_Schema)&Value)
const Handle_Storage_Schema & | Value (const Standard_Integer Index) const
Handle_Storage_Schema & | ChangeValue (const Standard_Integer Index)
const Storage_ArrayOfSchema & | Array1 () const
Storage_ArrayOfSchema & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Storage_ArrayOfSchema | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Storage_HArrayOfSchema::Storage_HArrayOfSchema | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Storage_HArrayOfSchema::Storage_HArrayOfSchema | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(Storage_Schema)& | V
| ) |

## Member Function Documentation

const Storage_ArrayOfSchema& Storage_HArrayOfSchema::Array1 | ( |  | ) | const

Storage_ArrayOfSchema& Storage_HArrayOfSchema::ChangeArray1 | ( |  | ) |

Handle_Storage_Schema& Storage_HArrayOfSchema::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Storage_HArrayOfSchema::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Storage_HArrayOfSchema::Init | ( | const Handle(Storage_Schema)& | V | ) |

Standard_Integer Storage_HArrayOfSchema::Length | ( |  | ) | const

Standard_Integer Storage_HArrayOfSchema::Lower | ( |  | ) | const

void Storage_HArrayOfSchema::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Storage_Schema)& | Value
| ) |

Standard_Integer Storage_HArrayOfSchema::Upper | ( |  | ) | const

const Handle_Storage_Schema& Storage_HArrayOfSchema::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Storage_ArrayOfSchema Storage_HArrayOfSchema::myArray `[private]`

The documentation for this class was generated from the following file:

- Storage_HArrayOfSchema.hxx